# H235AuthSimpleMD5 Class Reference

`#include <h235auth.h>`

Inheritance diagram for H235AuthSimpleMD5:

[legend]
Collaboration diagram for H235AuthSimpleMD5:
[legend]

## Public Member Functions

| H235AuthSimpleMD5 ()
PObject * | Clone () const
virtual const char * | GetName () const
virtual H225_CryptoH323Token * | CreateCryptoToken (bool digits)
virtual ValidationResult | ValidateCryptoToken (const H225_CryptoH323Token &cryptoToken, const PBYTEArray &rawPDU)
virtual PBoolean | IsCapability (const H235_AuthenticationMechanism &mechansim, const PASN_ObjectId &algorithmOID)
virtual PBoolean | SetCapability (H225_ArrayOf_AuthenticationMechanism &mechansim, H225_ArrayOf_PASN_ObjectId &algorithmOIDs)
virtual PBoolean | IsSecuredPDU (unsigned rasPDU, PBoolean received) const

## Detailed Description

This class embodies a simple MD5 based authentication. The users password is concatenated with the 4 byte timestamp and 4 byte random fields and an MD5 generated and sent/verified

## Constructor & Destructor Documentation

H235AuthSimpleMD5::H235AuthSimpleMD5 | ( |  | ) |

## Member Function Documentation

PObject* H235AuthSimpleMD5::Clone | ( |  | ) | const

virtual H225_CryptoH323Token* H235AuthSimpleMD5::CreateCryptoToken | ( | bool | digits | ) | `[virtual]`

Reimplemented from H235Authenticator.

virtual const char* H235AuthSimpleMD5::GetName | ( |  | ) | const`[virtual]`

Implements H235Authenticator.

virtual PBoolean H235AuthSimpleMD5::IsCapability | ( | const H235_AuthenticationMechanism & | mechansim,
|  | const PASN_ObjectId & | algorithmOID |
| ) |  |  | `[virtual]`

Implements H235Authenticator.

virtual PBoolean H235AuthSimpleMD5::IsSecuredPDU | ( | unsigned | rasPDU,
|  | PBoolean | received |
| ) |  |  | const`[virtual]`

Reimplemented from H235Authenticator.

virtual PBoolean H235AuthSimpleMD5::SetCapability | ( | H225_ArrayOf_AuthenticationMechanism & | mechansim,
|  | H225_ArrayOf_PASN_ObjectId & | algorithmOIDs |
| ) |  |  | `[virtual]`

Implements H235Authenticator.

virtual ValidationResult H235AuthSimpleMD5::ValidateCryptoToken | ( | const H225_CryptoH323Token & | cryptoToken,
|  | const PBYTEArray & | rawPDU |
| ) |  |  | `[virtual]`

Reimplemented from H235Authenticator.

The documentation for this class was generated from the following file:

- h235auth.h